package com.uas.platform.b2b.erp.model;

import java.math.BigDecimal;

/**
 * 订单价格更新
 *
 * Created by hejq on 2018-06-28.
 */
public class OrderDetailPrice {

    /**
     * 主键id
     */
    private Long id;

    /**
     * 价格
     */
    private Double price;

    /**
     * 税率
     */
    private BigDecimal taxrate;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Double getPrice() {
        return price;
    }

    public void setPrice(Double price) {
        this.price = price;
    }

    public BigDecimal getTaxrate() {
        return taxrate;
    }

    public void setTaxrate(BigDecimal taxrate) {
        this.taxrate = taxrate;
    }

    /**
     * 封装采购价格信息
     *
     * @param id 采购明细id
     * @param price 采购价格
     * @param taxrate 税率
     */
    public OrderDetailPrice(Long id, Double price, Double taxrate) {
        this.id = id;
        this.price = price;
        this.taxrate = new java.math.BigDecimal(taxrate);
    }

    /**
     * 无参构造
     */
    public OrderDetailPrice() {
    }

}
